Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class DataScrollerBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.DataScrollerBaseRenderer

Direct Known Subclasses:
  DataScrollerRenderer

    public class DataScrollerBaseRenderer

extends RendererBase

Constructor Summary
`DataScrollerBaseRenderer()`

Method Summary
`void` | `buildScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Map buttons, Map digitals)`
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`void` | `encodeFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeHiddenStyleIfNeed(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`Map<String,Map<String,String>>` | `getControls(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ControlsState controlsState)`
`ControlsState` | `getControlsState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`org.ajax4jsf.javascript.JSFunctionDefinition` | `getSubmitFunction(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`Map<String,String>` | `renderPager(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` | `shouldRender(javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataScrollerBaseRenderer

    public DataScrollerBaseRenderer()

Method Detail

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### encodeHiddenStyleIfNeed

    protected void encodeHiddenStyleIfNeed(javax.faces.context.ResponseWriter out,
                                           javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)
                                    throws IOException

  Throws:
    `IOException`

### shouldRender

    protected boolean shouldRender(javax.faces.component.UIComponent component)

### getControlsState

    public ControlsState getControlsState(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### renderPager

    public Map<String,String> renderPager(javax.faces.context.ResponseWriter out,
                                          javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)
                                   throws IOException

  Throws:
    `IOException`

### getControls

    public Map<String,Map<String,String>> getControls(javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component,
                                                      ControlsState controlsState)

### buildScript

    public void buildScript(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            Map buttons,
                            Map digitals)
                     throws IOException

  Throws:
    `IOException`

### getSubmitFunction

    public org.ajax4jsf.javascript.JSFunctionDefinition getSubmitFunction(javax.faces.context.FacesContext facesContext,
                                                                          javax.faces.component.UIComponent component)

### encodeFacet

    public void encodeFacet(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Throws:
    `IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.